Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_DII_Deferred_Reply_Dispatcher Class Reference

`#include <DII_Reply_Dispatcher.h>`

Inheritance diagram for TAO_DII_Deferred_Reply_Dispatcher:

[legend]
Collaboration diagram for TAO_DII_Deferred_Reply_Dispatcher:

[legend]
List of all members.

## Public Methods
| TAO_DII_Deferred_Reply_Dispatcher (const CORBA::Request_ptr req, TAO_ORB_Core *orb_core)
virtual | ~TAO_DII_Deferred_Reply_Dispatcher (void)
virtual int | dispatch_reply (TAO_Pluggable_Reply_Params &param)
virtual void | connection_closed (void)
## Private Attributes
char | buf_ [ACE_CDR::DEFAULT_BUFSIZE]
| The buffer that is used to initialise the data block. More...
ACE_Data_Block | db_
| datablock that is created on teh stack to initialise the CDR stream underneath. More...
TAO_InputCDR | reply_cdr_
| CDR stream for reading the input. More...
const CORBA::Request_ptr | req_
| Where the reply needs to go. More...

## Constructor & Destructor Documentation

TAO_DII_Deferred_Reply_Dispatcher::TAO_DII_Deferred_Reply_Dispatcher | ( | const CORBA::Request_ptr | req,
|  | TAO_ORB_Core * | orb_core
| ) |

TAO_DII_Deferred_Reply_Dispatcher::~TAO_DII_Deferred_Reply_Dispatcher | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_DII_Deferred_Reply_Dispatcher::connection_closed | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Asynch_Reply_Dispatcher_Base.

int TAO_DII_Deferred_Reply_Dispatcher::dispatch_reply | ( | TAO_Pluggable_Reply_Params & | params | ) | `[virtual]`

| Reimplemented from TAO_Asynch_Reply_Dispatcher_Base.

## Member Data Documentation

char TAO_DII_Deferred_Reply_Dispatcher::buf_[ACE_CDR::DEFAULT_BUFSIZE]`[private]`

| The buffer that is used to initialise the data block. Reimplemented from TAO_Asynch_Reply_Dispatcher_Base.

ACE_Data_Block TAO_DII_Deferred_Reply_Dispatcher::db_`[private]`

| datablock that is created on teh stack to initialise the CDR stream underneath. Reimplemented from TAO_Asynch_Reply_Dispatcher_Base.

TAO_InputCDR TAO_DII_Deferred_Reply_Dispatcher::reply_cdr_`[private]`

| CDR stream for reading the input. Reimplemented from TAO_Asynch_Reply_Dispatcher_Base.

const CORBA::Request_ptr TAO_DII_Deferred_Reply_Dispatcher::req_`[private]`

| Where the reply needs to go.

The documentation for this class was generated from the following files:

- DII_Reply_Dispatcher.h
- DII_Reply_Dispatcher.cpp